Skip to content
Developer

EventTimingDevice

Events7 EndpointsEvent / EventTimingDevice

Returns a list of event timing device entries.

GET/api/event/timing_device

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
deviceTypestring
baseEventstring
timingPointstring
activeboolean
lastSeenAtstring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of EventTimingDevice objectsarray<EventTimingDevice>

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_device \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "base_event_id": 42,
    "timing_point_id": 42,
    "device_type": "string",
    "active": true,
    "last_seen_at": "2026-10-15T09:30:00+02:00",
    "clock_offset_ms": 1,
    "battery_level": 1,
    "firmware": "string"
  }
]

Creates a new event timing device entry.

POST/api/event/timing_device

Request body application/json

  • dataEventTimingDevice2
    Show fields (4)
    • namestring

      Name of the timing device.

    • device_typestring

      Type of the timing device, for example chip reader or app.

    • activeboolean

      The device is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new EventTimingDeviceEventTimingDevice

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/timing_device \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "device_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1,
  "firmware": "string"
}

Returns a single event timing device entry.

GET/api/event/timing_device/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single EventTimingDeviceEventTimingDevice

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_device/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1,
  "firmware": "string"
}

Updates an existing event timing device entry.

PUT/api/event/timing_device/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingDevice2
    Show fields (4)
    • namestring

      Name of the timing device.

    • device_typestring

      Type of the timing device, for example chip reader or app.

    • activeboolean

      The device is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventTimingDeviceEventTimingDevice

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/timing_device/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "device_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1,
  "firmware": "string"
}

Updates an existing event timing device entry.

PATCH/api/event/timing_device/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingDevice2
    Show fields (4)
    • namestring

      Name of the timing device.

    • device_typestring

      Type of the timing device, for example chip reader or app.

    • activeboolean

      The device is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventTimingDeviceEventTimingDevice

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/timing_device/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "device_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1,
  "firmware": "string"
}

Deletes an archived EventTimingDevice. Its reads stay.

DELETE/api/event/timing_device/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single EventTimingDeviceEventTimingDevice

Show fields (13)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/event/timing_device/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1,
  "firmware": "string"
}

Creates a new secret for the device; the old one stops working immediately.

POST/api/event/timing_device/{identifier}/regenerate_token

Path parameters

identifierrequiredstring

Responses

200The device with its new tokenEventTimingDevice3

Show fields (14)
  • base_event_idinteger
  • timing_point_idinteger
  • idinteger

    Primary key of the timing device. Internal ID.

  • namestring

    Name of the timing device.

  • device_typestring

    Type of the timing device, for example chip reader or app.

  • activeboolean

    The device is active.

  • tokenstring

    Secret of the device, only serialized in the detail view.

  • last_seen_atstring (date-time)

    Time the device was last seen.

  • clock_offset_msinteger

    Server time minus device time in ms, measured at the last heartbeat.

  • battery_levelinteger

    Battery level of the device in percent.

  • firmwarestring

    Firmware version of the device.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/timing_device/42/regenerate_token \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "timing_point_id": 42,
  "device_type": "string",
  "active": true,
  "token": "string",
  "last_seen_at": "2026-10-15T09:30:00+02:00",
  "clock_offset_ms": 1,
  "battery_level": 1
}